> For the complete documentation index, see [llms.txt](https://guides.getalby.com/developer-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guides.getalby.com/developer-guide/developer-guide/alby-wallet-api/reference/api-reference/account.md).

# Account

Get information regarding the user's account.

## Get value4value information

Scope needed: `account:read`

Returns the user's Lightning Address and keysend information.

<mark style="color:blue;">`GET`</mark> `https://api.getalby.com/user/value4value`

Returns the user's Lightning Address and keysend information

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "keysend_pubkey": "02740d5d0e3b2d4d9e313423587a01e8122f9c6e8717e36ff388a170bdcb8c1e7e",
  "keysend_custom_key": "696969",
  "keysend_custom_value": "01wDdDkTsaRuNTAJzXiW",
  "lightning_address": "hello@getalby.com (if the user has a lightning address configured)"
}
```

{% endtab %}
{% endtabs %}

## Get account balance

Scope needed: `balance:read`

Returns the balance of the user's wallet.

<mark style="color:blue;">`GET`</mark> `https://api.getalby.com/balance`

Returns the balance of the user's wallet.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
   "balance": 1000,
   "currency": "BTC",
   "unit": "sat"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
  "code": 0,
  "error": true,
  "message": "string"
}
```

{% endtab %}
{% endtabs %}

## Get account summary

Scope needed: `balance:read`

Returns the balance, incoming/outgoing transaction count, boostagram count

<mark style="color:blue;">`GET`</mark> `https://api.getalby.com/user/summary`

Returns the balance, incoming/outgoing transaction count, boostagram count

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "balance": 10000,
    "boostagrams_count": 8,
    "currency": "BTC",
    "invoices_count": 9,
    "last_invoice_at": "2022-06-02T08:40:08.000Z",
    "transactions_count": 33,
    "unit": "sat"
}
```

{% endtab %}
{% endtabs %}

## Get personal information

Get the user's e-mail address, display name, avatar, nostr pubkey, and value4value information.

<mark style="color:blue;">`GET`</mark> `https://api.getalby.com/user/me`

Get the user's e-mail address, display name, avatar, nostr pubkey, and value4value information.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "identifier": "LlzljZKnMATJxC6z9t19",
    "email": "kwinten@getalby.com",
    "name": "Kwinten",
    "avatar": "https://fra1.digitaloceanspaces.com/getalbycom/uploads/lightning_address/avatar/28/thumb_signal-2022-05-15-17-19-02-995.jpg",
    "wallet_configured": true,
    "keysend_custom_key": "696969",
    "keysend_custom_value": "LlzljZKnMATJxC6z9t19",
    "keysend_pubkey": "030a58b8653d32b99200a2334cfe913e51dc7d155aa0116c176657a4f1722677a3",
    "lightning_address": "kiwiidb@getalby.com",
    "nostr_pubkey": "npub13sajvl5ak6cpz4ycesl0e5v869r5sey5pt50l9mcy6uas0fqtpmscth4np"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guides.getalby.com/developer-guide/developer-guide/alby-wallet-api/reference/api-reference/account.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
